/*
 * nftw(3) /proc
 */

#include <ftw.h>
#include <stdio.h>
#include <stdlib.h>

static int walk_cb(const char *path, const struct stat *sb, int type,
                   struct FTW *ftw)
{
	(void)sb;
	(void)type;
	(void)ftw;
	(void)path;
	return 0;
}

int main(void)
{
	int r = nftw("/proc", walk_cb, 128, FTW_PHYS);
	return r == 0 ? EXIT_SUCCESS : EXIT_FAILURE;
}
